#!/bin/sh
# ESP Package Manager v3.7.0

#
# Need to check diskless service install and make sure use the correct unpkg 
#
DISKLESS_SRVC=`echo $BASEDIR | /usr/bin/grep export/Solaris_[1-9][0-9]/usr_${ARCH}.all`
if [  "$DISKLESS_SRVC" ]; then
	UNOPKG=/export/Solaris_11/usr_`uname -p`.all/opt/ooo-dev3/program/unopkg
	POSTRUN=$PKG_INSTALL_ROOT/usr_`uname -p`.all/usr/lib/postrun
	CLIENT_BASEDIR=$PKG_INSTALL_ROOT/usr_${ARCH}.all
else
	UNOPKG=$BASEDIR/opt/ooo-dev3/program/unopkg
	POSTRUN=$PKG_INSTALL_ROOT/usr/lib/postrun
fi
# Use postrun command on Solaris where available (OpenSolaris)
if [ -x $POSTRUN ]; then
( echo "test -x \"$CLIENT_BASEDIR/opt/ooo-dev3/program/unopkg\" || exit 0"
  echo "umask 022"
  echo "\"$CLIENT_BASEDIR/opt/ooo-dev3/program/unopkg\" sync"
  echo  "find \"$CLIENT_BASEDIR/opt/ooo-dev3/share/prereg/bundled\" -type f -exec chmod 644 {} \\;"
) | $POSTRUN -b -c UNOPKG
  if [ "$?" != "0" ]; then
    echo "\nERROR: Installation of UNO extensions"
    echo " through $POSTRUN failed."
    exit 1
  fi
else
  # No postrun available, try running unopkg directly
  "$UNOPKG" sync
 find "$BASEDIR/opt/ooo-dev3/share/prereg/bundled" -type f -exec chmod 644 {} \;
  if [ "$?" != "0" ]; then
    echo "\nERROR: Installation of UNO extensions failed."
    test "$BASEDIR" = "$CLIENT_BASEDIR" || echo "ERROR: alternate root install requires SUNWpostrun package to be installed"
    echo 'ERROR: Make sure the runtime requirements (operating system, patch level, architecture) are met.'
    exit 1
  fi
fi

exit 0
